// Quick Chat 3.11 - admin
jQuery.quick_chat_delete_messages = function (chat_id, to_delete_ids){
    var to_delete_room_name = quick_chat_data[chat_id]['quick_chat_room_name'];
    jQuery.post(quick_chat_js_vars.quick_chat_ajaxurl, {
        action: 'quick-chat-ajax-delete',
        to_delete_ids: to_delete_ids,
        to_delete_room_name: to_delete_room_name,
        quick_chat_delete_nonce: quick_chat_js_vars.quick_chat_delete_nonce},
        function(data) {
            quick_chat_js_vars.quick_chat_delete_nonce = data.quick_chat_delete_nonce;

            for (var i=0;typeof(to_delete_ids[i]) != typeof(quick_chat_undefined);i++){
                jQuery('div[class=quick-chat-container] input[type=checkbox][value="'+to_delete_ids[i]+'"]').parents('.quick-chat-history-message-alias-container').remove();
            }
        });
};

jQuery.quick_chat_ban_users = function (chat_id, to_ban_ips){
    var this_chat = jQuery.find('div[class=quick-chat-container][data-chat-id="'+chat_id+'"]');
    jQuery.post(quick_chat_js_vars.quick_chat_ajaxurl, {
        action: 'quick-chat-ajax-ban',
        to_ban_ips: to_ban_ips,
        quick_chat_ban_nonce: quick_chat_js_vars.quick_chat_ban_nonce},
        function(data) {
            quick_chat_js_vars.quick_chat_ban_nonce = data.quick_chat_ban_nonce;
            jQuery(this_chat).find('.quick-chat-users-container input[type=checkbox]').each(function(){
                jQuery(this).attr('checked', false);
            });
        });
};

jQuery.quick_chat_transcript = function (chat_id){
    var room_name = quick_chat_data[chat_id]['quick_chat_room_name'];
    jQuery.post(quick_chat_js_vars.quick_chat_ajaxurl, {
        action: 'quick-chat-ajax-transcript',
        room_name: room_name,
        quick_chat_transcript_nonce: quick_chat_js_vars.quick_chat_transcript_nonce},
        function(data) {
            quick_chat_js_vars.quick_chat_transcript_nonce = data.quick_chat_transcript_nonce;

            window.open (jQuery.quick_chat_stripslashes(data.quick_chat_transcript_url));
        });
};

jQuery(window).load(function(){
    jQuery("div.quick-chat-delete-link a").bind('click', function(e) {
        e.preventDefault();

        var chat_id = jQuery(this).parents('.quick-chat-container').attr('data-chat-id');

        var to_delete_ids = [];
        jQuery(this).parents('.quick-chat-container').find('.quick-chat-history-container input[type=checkbox]:checked').each(function(){
            to_delete_ids.push(jQuery(this).val());
        });

        jQuery(this).fadeTo(100, 0, function() {
            if(to_delete_ids == ""){
                alert(quick_chat_js_vars.quick_chat_delete_what_string);
            } else{
                if (confirm(quick_chat_js_vars.quick_chat_delete_confirm_string)){
                    jQuery.quick_chat_delete_messages(chat_id, to_delete_ids);
                }
            }
            jQuery(this).fadeTo(100, 1);
        });
    });

    jQuery("div.quick-chat-ban-link a").bind('click', function(e) {
        e.preventDefault();

        var chat_id = jQuery(this).parents('.quick-chat-container').attr('data-chat-id');

        var to_ban_ips = [];
        jQuery(this).parents('.quick-chat-container').find('.quick-chat-users-container input[type=checkbox]:checked').each(function(){
            to_ban_ips.push(jQuery(this).val());
        });

        jQuery(this).fadeTo(100, 0, function() {
            if(to_ban_ips == ""){
                alert(quick_chat_js_vars.quick_chat_ban_who_string);
            } else{
                if (confirm(quick_chat_js_vars.quick_chat_ban_confirm_string)){
                    jQuery.quick_chat_ban_users(chat_id, to_ban_ips);
                }
            }
            jQuery(this).fadeTo(100, 1);
        });
    });

    jQuery("div.quick-chat-transcript-link a").bind('click', function(e) {
        e.preventDefault();

        var chat_id = jQuery(this).parents('.quick-chat-container').attr('data-chat-id');

        jQuery(this).fadeTo(100, 0, function() {
            jQuery.quick_chat_transcript(chat_id);
            jQuery(this).fadeTo(100, 1);
        });
    });

    var quick_chat_toggle = false;
    jQuery("div.quick-chat-select-all-link a").bind('click', function(e){
        e.preventDefault();
        jQuery(this).fadeTo(100, 0, function() {
            jQuery(this).parents('.quick-chat-container').find('.quick-chat-history-container input[type=checkbox]').attr('checked',!quick_chat_toggle);
            quick_chat_toggle = !quick_chat_toggle;
            jQuery(this).fadeTo(100, 1);
        });
    });
});